(gallery)=

# Examples and Tutorials

Notice that most examples use  interactive notebooks via [sphinx-thebe](https://sphinx-thebe.readthedocs.io/en/latest/), see 🚀.
## Tutorials

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`gallery-tutorial-paths`
:text-align: center
:link: gallery-tutorial-paths
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_tutorial_paths.png
:::

:::{grid-item-card} {ref}`gallery-tutorial-field-computation`
:text-align: center
:link: gallery-tutorial-field-computation
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_tutorial_field_computation.png
:::

:::{grid-item-card} {ref}`gallery-tutorial-collection`
:text-align: center
:link: gallery-tutorial-collection
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_tutorial_collection.png
:::

:::{grid-item-card} {ref}`gallery-tutorial-custom`
:text-align: center
:link: gallery-tutorial-custom
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_tutorial_custom.png
:::

:::{grid-item-card} {ref}`gallery-tutorial-modelling-magnets`
:text-align: center
:link: gallery-tutorial-modelling-magnets
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_tutorial_modelling_magnets.png
:::

::::


## Visualizations

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`gallery-vis-mpl-streamplot`
:text-align: center
:link: gallery-vis-mpl-streamplot
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_viz_mpl_streamplot.png
:::

:::{grid-item-card} {ref}`gallery-vis-pv-streamlines`
:text-align: center
:link: gallery-vis-pv-streamlines
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_viz_pv_streamlines.png
:::

:::{grid-item-card} {ref}`gallery-vis-animations`
:text-align: center
:link: gallery-vis-animations
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_WIP.png
:::

:::{grid-item-card} {ref}`gallery-vis-subplots`
:text-align: center
:link: gallery-vis-subplots
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_WIP.png
:::

::::

## Complex Magnet Shapes

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`gallery-shapes-superpos`
:text-align: center
:link: gallery-shapes-superpos
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_shapes_superpos.png
:::

:::{grid-item-card} {ref}`gallery-shapes-convex-hull`
:text-align: center
:link: gallery-shapes-convex-hull
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_shapes_convex_hull.png
:::

:::{grid-item-card} {ref}`gallery-shapes-triangle`
:text-align: center
:link: gallery-shapes-triangle
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_shapes_triangle.png
:::

:::{grid-item-card} {ref}`gallery-shapes-pyvista`
:text-align: center
:link: gallery-shapes-pyvista
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_shapes_pyvista.png
:::

:::{grid-item-card} {ref}`gallery-shapes-3d-models`
:text-align: center
:link: gallery-shapes-3d-models
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_WIP.png
:::

::::


## Miscellaneous

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`gallery-misc-compound`
:text-align: center
:link: gallery-misc-compound
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_misc_compound.png
:::

:::{grid-item-card} {ref}`gallery-misc-field-interpolation`
:text-align: center
:link: gallery-misc-field-interpolation
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_misc_field_interpolation.png
:::

:::{grid-item-card} {ref}`gallery-misc-inhom`
:text-align: center
:link: gallery-misc-inhom
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_WIP.png
:::

::::

## Applications

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`gallery-app-end-of-shaft`
:text-align: center
:link: gallery-app-end-of-shaft
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_app_end_of_shaft.png
:::

:::{grid-item-card} {ref}`gallery-app-halbach`
:text-align: center
:link: gallery-app-halbach
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_WIP.png
:::

:::{grid-item-card} {ref}`gallery-app-helmholtz`
:text-align: center
:link: gallery-app-helmholtz
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_app_helmholtz.png
:::

:::{grid-item-card} {ref}`gallery-app-scales`
:text-align: center
:link: gallery-app-scales
:link-type: ref
:link-alt: link to example
:img-bottom: ../../_static/images/gallery_icon_WIP.png
:::

::::

